package com.glxp.mipsdl.entity.inout;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 单据主表
 */
@Data
@TableName(value = "io_order")
public class IoOrderEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单据号
     */
    @TableField(value = "billNo")
    private String billNo;

    /**
     * 手持终端订单号
     */
    @TableField(value = "corpOrderId")
    private String corpOrderId;

    /**
     * 主业务类型
     */
    @TableField(value = "mainAction")
    private String mainAction;

    /**
     * 业务类型
     */
    @TableField(value = "`action`")
    private String action;

    /**
     * 往来单位（供应商）
     */
    @TableField(value = "fromCorp")
    private String fromCorp;

    /**
     * 往来部门
     */
    @TableField(value = "fromDeptCode")
    private String fromDeptCode;

    /**
     * 往来仓库
     */
    @TableField(value = "fromInvCode")
    private String fromInvCode;

    /**
     * 单据来源（1.UDIMS平台；2.网页新增；3.pda已校验；4.pda未校验；5.pc端扫码精灵）
     */
    @TableField(value = "fromType")
    private Integer fromType;

    /**
     * 1:草稿；2:已提交待处理;3:处理成功待校验;4:处理异常;5:校验成功待审核;6:校验失败;7:审核通过;8:审核拒绝
     */
    @TableField(value = "`status`")
    private Integer status;

    /**
     * 1.草稿；2:已提交;3:已审核
     */
    @TableField(value = "dealStatus")
    private Integer dealStatus;

    /**
     * 创建人
     */
    @TableField(value = "`createUser`")
    private String createUser;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(value = "updateUser")
    private String updateUser;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime")
    private Date updateTime;

    /**
     * 验收人
     */
    @TableField(value = "reviewUser")
    private String reviewUser;

    /**
     * 验收时间
     */
    @TableField(value = "auditTime")
    private Date auditTime;

    /**
     * ID
     */
    @TableField(value = "customerId")
    private String customerId;

    /**
     * 当前部门编码
     */
    @TableField(value = "deptCode")
    private String deptCode;

    /**
     * 当前仓库编码
     */
    @TableField(value = "invCode")
    private String invCode;

    /**
     * 单据流转
     */
    @TableField(value = "outChangeEnable")
    private Boolean outChangeEnable;

    /**
     * 单据流转上级单号
     */
    @TableField(value = "originUllageSupNo")
    private String originUllageSupNo;

    /**
     * 单据流转下级单号
     */
    @TableField(value = "ullageSupNo")
    private String ullageSupNo;

    /**
     * 平衡补单单号
     */
    @TableField(value = "supplementNo")
    private String supplementNo;

    /**
     * 第三方系统单号(提交后返回）
     */
    @TableField(value = "thirdBillNo")
    private String thirdBillNo;

    /**
     * 复制单据单号，多个单号之间使用,隔开
     */
    @TableField(value = "replicateNo")
    private String replicateNo;

    /**
     * 预验收关联的出库单号,只有预验收入库才有
     */
    @TableField(value = "preOutBillNo")
    private String preOutBillNo;

    /**
     * 关联预验收入库单号（只有出库时需校验预验收库存才有）
     */
    @TableField(value = "preInBillNo")
    private String preInBillNo;

    /**
     * 校验信息
     */
    @TableField(value = "errMsg")
    private String errMsg;

    /**
     * 单据打印备注
     */
    @TableField(value = "printRemark")
    private String printRemark;

    /**
     * 单据备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 单据类型：1.业务单据，2:扫码单据，3:正常单据（只在单据未提交之前有用）
     */
    @TableField(value = "orderType")
    private Integer orderType;

    /**
     * 单据是否已验收完成
     */
    @TableField(value = "entrustEnd")
    private Boolean entrustEnd;

    public static final String COL_ID = "id";

    public static final String COL_BILLNO = "billNo";

    public static final String COL_CORPORDERID = "corpOrderId";

    public static final String COL_MAINACTION = "mainAction";

    public static final String COL_ACTION = "action";

    public static final String COL_FROMCORP = "fromCorp";

    public static final String COL_FROMDEPTCODE = "fromDeptCode";

    public static final String COL_FROMINVCODE = "fromInvCode";

    public static final String COL_FROMTYPE = "fromType";

    public static final String COL_STATUS = "status";

    public static final String COL_DEALSTATUS = "dealStatus";

    public static final String COL_CREATEUSER = "createUser";

    public static final String COL_CREATETIME = "createTime";

    public static final String COL_UPDATEUSER = "updateUser";

    public static final String COL_UPDATETIME = "updateTime";

    public static final String COL_REVIEWUSER = "reviewUser";

    public static final String COL_AUDITTIME = "auditTime";

    public static final String COL_CUSTOMERID = "customerId";

    public static final String COL_DEPTCODE = "deptCode";

    public static final String COL_INVCODE = "invCode";

    public static final String COL_OUTCHANGEENABLE = "outChangeEnable";

    public static final String COL_ORIGINULLAGESUPNO = "originUllageSupNo";

    public static final String COL_ULLAGESUPNO = "ullageSupNo";

    public static final String COL_SUPPLEMENTNO = "supplementNo";

    public static final String COL_THIRDBILLNO = "thirdBillNo";

    public static final String COL_REPLICATENO = "replicateNo";

    public static final String COL_PREOUTBILLNO = "preOutBillNo";

    public static final String COL_PREINBILLNO = "preInBillNo";

    public static final String COL_ERRMSG = "errMsg";

    public static final String COL_PRINTREMARK = "printRemark";

    public static final String COL_REMARK = "remark";

    public static final String COL_ORDERTYPE = "orderType";

    public static final String COL_ENTRUSTEND = "entrustEnd";
}