package com.glxp.mipsdl.entity.thrsys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName(value = "thr_system")
public class ThrSystemEntity {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 第三系统Id
     */
    @TableField(value = "thirdId")
    private String thirdId;

    /**
     * 第三方系统名称
     */
    @TableField(value = "thirdName")
    private String thirdName;

    /**
     * 第三方系统接口授权码
     */
    @TableField(value = "apikey")
    private String apikey;

    /**
     * 第三方系统接口秘钥
     */
    @TableField(value = "secretkey")
    private String secretkey;

    /**
     * 是否设为主系统
     */
    @TableField(value = "mainSys")
    private Boolean mainSys;

    /**
     * 是否启用
     */
    @TableField(value = "enabled")
    private Boolean enabled;

    /**
     * 第三方服务IP地址
     */
    @TableField(value = "thridUrl")
    private String thridUrl;

    /**
     * 第三方系统IP地址
     */
    @TableField(value = "thirdSysUrl")
    private String thirdSysUrl;

    /**
     * 接口说明文档地址
     */
    @TableField(value = "guideUrl")
    private String guideUrl;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    public static final String COL_ID = "id";

    public static final String COL_THIRDID = "thirdId";

    public static final String COL_THIRDNAME = "thirdName";

    public static final String COL_APIKEY = "apikey";

    public static final String COL_SECRETKEY = "secretkey";

    public static final String COL_MAINSYS = "mainSys";

    public static final String COL_ENABLED = "enabled";

    public static final String COL_THRIDURL = "thridUrl";

    public static final String COL_THIRDSYSURL = "thirdSysUrl";

    public static final String COL_GUIDEURL = "guideUrl";

    public static final String COL_REMARK = "remark";
}