package com.glxp.mipsdl.req.base;

import lombok.Data;

import java.util.List;

/**
 * 库存产品接口请求参数
 */
@Data
public class UdiwmsInvProductsRequest extends ListPageRequest {

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 货位号，支持模糊查询
     */
    private String warehouseCode;

    /**
     * 货位名称，支持模糊查询
     */
    private String warehouseName;

    /**
     * 仓库号，支持模糊查询
     */
    private String inventoryCode;

    /**
     * 仓库名称，支持模糊查询
     */
    private String inventoryName;

    /**
     * 仓库编码集合，暂不启用
     */
    private List<String> inventoryCodes;

    /**
     * 产品编号，支持模糊查询
     */
    private String productId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 供应商名称（配送企业），支持模糊查询
     */
    private String supName;

    /**
     * 生产厂家
     */
    private String manufactory;

    /**
     * 规格型号，支持模糊查询
     */
    private String standard;

    /**
     * 注册/备案证号，支持模糊查询
     */
    private String registerNo;

}
